"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
exports.default = {
    handleErrors
};
function handleErrors(err, stats, exit = false) {
    if (err) {
        printErrors('Failed to compile.', [err]);
        if (exit)
            process.exit(1);
    }
    if (stats.compilation.errors.length) {
        printErrors('Failed to compile.', stats.compilation.errors);
        if (exit)
            process.exit(1);
    }
    if (process.env.CI && stats.compilation.warnings.length) {
        printErrors('Failed to compile.', stats.compilation.warnings);
        if (exit)
            process.exit(1);
    }
}
// Print out errors
function printErrors(summary, errors) {
    utils_1.default.log(summary, 'red');
    utils_1.default.log();
    errors.forEach(err => {
        utils_1.default.log(err.message || err);
        utils_1.default.log();
    });
}
//# sourceMappingURL=webpackHelper.js.map